#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

[Unit]
Description=snmp exporter
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
User={{ snmp_exporter_runas_user }}
Group={{ snmp_exporter_runas_group }}
EnvironmentFile=/etc/default/snmp_exporter
ExecStart=/usr/local/bin/snmp_exporter $OPTIONS
ExecReload=/bin/kill -HUP $MAINPID
SyslogIdentifier={{ snmp_exporter_service | regex_replace('\\.service','') }}
Restart=always

[Install]
WantedBy=multi-user.target
